* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Spartan' , sans-serif;
}

h1 {
    font-size: 50px;
    line height: 64px;
    color: #222;
}

h2 {
    font-size: 46px;
    line height: 54px;
    color: #222;
}

h4 {
    font-size: ;
    line height: ;
    color: ;
}

h6 {
    font-size: ;
    line height: ;
    color: ;
}

p {
    font-size: ;
    line height: ;
    color: ;
}

.section-p1 {
    padding: 40px 80px;
}

.section-m1 {
    margin: 40px 0;
}

button.normal{
    font-size: 14px;
    font-weight: 500;
    padding: 15px 30px;
    color: black;
    background-color: whitesmoke;
    border-radius: 4px;
    cursor: pointer;
    border: none;
    outline: none;
    transition: 0.2s;
}

body {
    width: 100%;
}


/* Header */

.logo {
    max-width: 20%;
    max-height: 28%;
    margin-bottom: 10px;    
}

#header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 80px;
    background-color: whitesmoke;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;
}

#navbar{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#navbar li{
    list-style: none;
    padding: 0 20px;
    position: relative;
}

#navbar li a{
    text-decoration: none;
    font-size: 16px;
    font-weight: 450;
    color: rgb(78, 77, 77);
    transition: 0.3s ease;
}

#navbar li a:hover,
#navbar li a.active {
    color: gray;
}

#navbar li a.active::after,
#navbar li a:hover::after {
    content: "";
    width: 30%;
    height: 2px;
    background-color: rgba(24, 100, 206, 0.826) ;
    position: absolute;
    bottom: -4px;
    left: 20px;
    
}

.search{
    height: 30px;
    display: flex;
    cursor: pointer;
    padding: 10px 20px;
    background: white;
    border-radius: 30px;
    align-items: center;
    box box-shadow: 0 10px 25px ;
}

.search:hover input{
    width: 400px;
}

.search input{
    width: 0;
    outline: none;
    border: none;
    font-weight: 500;
    transition: 0.8s;
    background: transparent;
}

.search a .fas{
    color: gray;
    font-size: 18px;
}


/* Home Page */

#hero {
    background-image: url(img/hamper\ sets\ male.jpg);
    height: 70vh;
    width: 100%;
    background-position: center;
    background-repeat: repeat;
    padding: 0 50px;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;

}
#hero h4{
    padding-bottom: 10px;
}
#hero h1{
    padding-bottom: 10px;
    color: white;
}
#hero p{
    padding-bottom: 10px;
}

#features{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.transport {
    max-height: 75%;
    max-width: 75%;
}

.order {
    max-height: 50%;
    max-width: 50%;
}

.support {
    max-width: 75%;
    max-height: 75%;
}

#features .fe-box{
    width: 180px;
    text-align: center;
    padding: 30px 15px;
    box-shadow: 20px 20px 34px rgba(0, 0, 0, 0.03) ;
    border: 1px solid #cce7d0;
    border-radius: 4px;
    margin: 15px 0;
}

#features .fe-box:hover{
    box-shadow: 10px 10px 54px rgba(70, 60, 220, 0.1);
}

#features .fe-box h5{
    padding: 9px 8px 6px 8px;
    line-height: 1;
    border-radius: 4px;
    color: #0c6b9e;
    background-color: white;
}

#product1{
    text-align: center;
    font-weight: 500;
}

#product1 .pro-container{
    display: flex;
    justify-content: space-between;
    padding: 20px;
    flex-wrap: wrap;
}

#product1 .pro{
    width: 23%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid lightgray;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.02);
    margin: 15px 0;
    transition: 0.2s ease;
}

#product1 .pro:hover{
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.02);
}

#product1 .pro img{
    width: 100%;
    border-radius: 20px;
}

#product1 .pro .des{
    text-align: start;
    padding: 10px 0;
}

#product1 .pro .des span{
    color: rgb(156, 155, 155);
    font-size: 12px;
}


#product1 .pro .des h5{
    padding: 5px 0px;
    color: #1a1a1a;
    font-size: 14px;
}

#product1 .pro .des h4{
    font-size: 12px;
    color: #0c6b9e;
}

#product1 .pro .des h3{
    padding top: 5px;
    font-size: 16px;
    font-weight: 700;
    color: gray;
}

#banner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-image: url(img/banner.jpg.webp);
    width: 100%;
    height: 40vh;
    background-size: cover;
    background-position: center;
}

#banner h4{
    color: lightgray;
    font-size: 16px;
}

#banner h2{
    color: lightgray;
    font-size: 30px;
    padding: 10px 0;
}

#banner h2 span{
    color: red;
}

#banner button:hover{
    background: darkgray;
    color: white;
}

#newsletter{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    background-image: url(img/banner.jpg.webp);
    width: 100%;
    height: 20vh;
    background-position: center;
    background-size: cover;
}

#newsletter h4{
    font-size: 22px;
    font-weight: 700;
    color: white;
}

#newsletter p{
    font-size: 14px;
    font-weight: 600;
    color: lightgray;
}

#newsletter p span{
    color: #ffbd27;
}

#newsletter .form{
    display: flex;
}

#newsletter input{
    height: 3.125rem;
    padding: 0 1.25rem;
    font-size: 14px;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 4px;
    outline: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

#newsletter button{
    background-color: darkgray;
    color: white;
    text-wrap: nowrap;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
} 


footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.logofooter {
    max-width: 15%;
    max-height: 15%;
    margin-bottom: 0px;    
}

footer .col{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

footer h4{
    font-size: 14px;
    padding-bottom: 20px;
}

footer p{
    font-size: 13px;
    margin: 0 0 8px 0;
}

footer a{
    font-size: 13px;
    text-decoration: none;
    margin-bottom: 10px;
    color: black;
}

footer .follow {
    margin-top: 20px;
}

footer .follow i {
    color: darkgray;
    padding-right: 4px;
    cursor: pointer;
}

footer .follow i:hover,footer a:hover {
    color: lightgray;
}

footer .copyright {
    width: 100%;
    text-align: center;
}


/* Shop Page */

#page-header{
    background-image: url(img/banner.jpg.webp);
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 12vh;
    display: flex;
    justify-content: space-between;
    text-align: center;
    flex-direction: row;
    padding: 30px 30px;
}

#page-header li a {
    list-style: none;
    text-decoration: none;
    color: whitesmoke;
}

#page-header h2{
    color: whitesmoke;
}

#page-header li a:hover{
    color: gray;
    transition: 0.003s;
}

#page-header li a.active::after,
#page-header li a:hover::after {
    content: "";
    width: 30%;
    height: 2px;
    background-color: white ;
    position: absolute;
    bottom: -4px;
    left: 20px;
}

/* Single Product */

#prodetails{
    display: flex;
    margin: 20px;
}

#prodetails .single-pro-image{
    width: 40%;
    margin-right: 50px;
}

.small-img-group{
    display: flex;
    justify-content: space-between;
}

.small-img-col{
    flex-basis: 24%;
    cursor: pointer;
}

#prodetails .single-pro-details{
    width: 50%;
    padding-top: 30px;
}

#prodetails .single-pro-details h4{
    padding: 40px 0 20px 0;
}

#prodetails .single-pro-details h4{
    font-size: 26px;
}

#prodetails .single-pro-details h5{
    font-weight: 400;
}

#prodetails .single-pro-details input{
    width: 70px;
    height: 47px;
    padding-left: 10px;
    font-size: 16px;
    margin-right: 10px;
    border: gray;
}

#prodetails .single-pro-details input:focus{
    outline: none;
}

#prodetails .single-pro-details span{
    line-height: 20px;
}

/* About Page */

#page-header .about-header{
    background-image: url(img/banner.jpg.webp);
}

#about-head {
    display: flex;
    align-items: center;
}

#about-head img{
    width: 50%;
    height: auto;
}

#about-head div {
    padding: 50px;
}

#about-head h2{
    padding: 30px;
}

#about-head p{
    padding: 15px;
}

/* Contact Page */

#contact-details{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#contact-details .details{
    width: 40%;
}

#contact-details .details span,
#form-details form span {
    font-size: 12px;
}

#contact-details .details h2,
#form-details form h2 {
    font-size: 26px;
    line-height: 35px;
    padding: 20px 0;
}

#contact-details .details h3 {
    font-size: 16px;
    padding-bottom: 15px;
}

#contact-details .details li {
    list-style: none;
    display: flex;
    padding: 10px 0;
}

#contact-details .details li i {
    font-size: 14px;
    padding-right: 22px;
}

#contact-details .details li p {
    margin: 0;
    font-size: 14px;
}

#contact-details .map {
    width: 55%;
    height: 400%;
}

#contact-details .map iframe {
    width: 100%;
    height: 100%;
}

#form-details {
    margin: 30px;
    padding: 80px ;
    border: 1px solid lightgray;
    border-radius: 20px;
}

#form-details form {
    width: 65%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

#form-details form input,
#form-details form textarea {
    width: 100%;
    padding: 12px 15px;
    outline: none;
    margin-bottom: 20px;
    border: 1px solid lightgray;
}



.dropdown button{
    background-color: transparent;
    font-size: medium;
    color: white;
    padding: 10px 10px;
    border: none;
}

.dropdown a{
    display: block;
    color: black;
    text-decoration: none;
    padding: 10px 15px;
}

.dropdown .content{
    display: none;
    position: absolute;
    background-color: lightgray;
    min-width: 100px;
    box-shadow: 2px 2px 5px gray;
}

.dropdown:hover .content{
    display: block;
}

.icon{
    font-size: x-large;
}

/* cart */
#cart table{
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    white-space: nowrap;

}

#cart table img{
    width: 70px;

}

#cart table td:nth-child(1){
    width: 100px;
    text-align: center;
}

#cart table td:nth-child(2){
    width: 150px;
    text-align: center;
}

#cart table td:nth-child(3){
    width: 250px;
    text-align: center;
}

#cart table td:nth-child(4){
    width: 150px;
    text-align: center;
}

#cart table td:nth-child(5){
    width: 100px;
    text-align: center;
}

#cart table td:nth-child(6){
    width: 100px;
    text-align: center;
}

#cart table td:nth-child(5) input{
    width: 70px;
    padding: 10px 5px 10px 15px;
}

#cart table thead{
    border:  1px solid whitesmoke;
    border-left: none;
    border-right: none;
}

#cart table thead td{
    font-weight: 700;
    text-transform: uppercase;
    font-size: 13px;
    padding: 18px 0;
}

#cart table tbody tr td{
    padding: 15px;
}

#cart table tbody td{
    font-size: 15px;
}

#cart-add{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

#coupon{
    width: 50%;
    margin-bottom: 30px;
}

#coupon h3,
#subtotal h3{
    padding-bottom: 15px;

}

#coupon input{
    padding: 10px 20px;
    outline: none;
    width: 60%;
    margin-right: 10px;
    border: 1px solid whitesmoke;
}

#coupon button{
    padding: 10px 20px;
}

#subtotal{
    width: 50%;
    margin-bottom: 50px;
    border: 1px solid whitesmoke;
    padding: 30px;
}

#subtotal table{
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 20px;
}

#subtotal table td{
    width: 50%;
    border: 1px solid whitesmoke;
    padding: 10px;
    font-size: 13px;
}

/* payment */

#payment .about-header{
    text-align: end;

}



        

    